Skip to main content
`Ctrl`+`K`

# PetscViewerHDF5GetSPOutput

Data is written to disk in single precision even if PETSc is compiled with double precision `PetscReal`.

## Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5GetSPOutput(PetscViewer viewer, PetscBool *flg)

Logically Collective

## Input Parameter

- viewer - the PetscViewer, must be of type `PETSCVIEWERHDF5`

## Output Parameter

- flg - if `PETSC_TRUE` the data will be written to disk with single precision

## See Also

Viewers: Looking at PETSc Objects, `PetscViewerFileSetMode()`, `PetscViewerCreate()`, `PetscViewerSetType()`, `PetscViewerBinaryOpen()`, `PetscReal`, `PetscViewerHDF5SetSPOutput()`

## Level

intermediate

## Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages